Subject: Re: [BEHAVE] draft-ietf-behave-nat-behavior-discovery-00

From: "Derek MacDonald" <[email-masked]>
Date: Fri, 23 Feb 2007 14:22:26 -0800

Dan Wing and I were talking about the issue of having to define mandatory
attributes in 3489bis that are returned in responses by behaviour-discovery
server draft, and for backwards compatibility with old 3489 servers. It
seemed wrong that we had to define attributes in one draft solely for use in
another draft.

We propose removing:

   Responses containing unknown mandatory attributions (less than or equal
to 0x7FFF) MUST be
   discarded and considered immediately as a failed transaction.

>From section 8.3.2 of 3489bis.  This would not change the behavior for
requests with unknown mandatory attributes.

-Derek

On 2/23/07, Bruce Lowekamp <[email-masked]> wrote:
>
> Derek and I have submitted draft-ietf-behave-nat-behavior-discovery-00
> to internet-drafts.  Until it appears in the repository, I've posted
> temporary copies at:
>
>
> http://www.sipeerior.com/tmp/draft-ietf-behave-nat-behavior-discovery-00.html
>
> http://www.sipeerior.com/tmp/draft-ietf-behave-nat-behavior-discovery-00.txt
>
> Changes from draft-macdonald-behave-nat-behavior-discovery-00:
>
>     * Only OTHER-ADDRESS, CHANGE-ADDRESS, RESPONSE-ADDRESS and
> XOR-RESPONSE-ADDRESS support is optional; support for PADDING and
> SOURCE-ADDRESS is now mandatory
>     * PADDING is now a mandatory attribute
>     * OTHER-ADDRESS is returned in all binding responses if the server
> has a second IP address
>
> The changes made in this revision depend on 3489bis being changed to
> allow OTHER-ADDRESS and SOURCE-ADDRESS for backwards compatibility
> with 3489.
>
>
> Bruce
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/behave
>
_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave